UL(1)

NAMN
ul - gör understrykning

SYNOPSIS

ul [flaggor] [fil...]

BESKRIVNING

ul läser de namngivna filerna (eller standardinmatningen om ingen anges) och översätter förekomsten av understrykningar till den sekvens som anger understrykning för den terminal som används, vilket anges av miljövariabeln TERM. Databasen terminfo läses för att avgöra vilka sekvenser som är lämpliga för understrykning. Om terminalen inte kan understryka men har ett överstrykningsläge används det i stället. Om terminalen kan överstryka, eller hanterar understrykning automatiskt, degenererar ul till cat(1). Om terminalen inte kan understryka, ignoreras understrykning.

FLAGGOR

-i, --indicated
    Understrykningar anges med en separat rad som innehåller lämpliga streck `-'; detta är användbart när du vill titta på de understrykningar som finns i en nroff-utmatningsström på en crt-terminal.

-t, -T, --terminal terminal
    Åsidosätt miljövariabeln TERM med den angivna terminal-typen.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

MILJÖ

Följande miljövariabel används:

TERM
    Variabeln TERM används för att relatera en tty-enhet till dess beskrivning av enhetens kapacitet (se terminfo(5)). TERM ställs in vid inloggning, antingen genom den standardterminaltyp som anges i /etc/ttys eller som användaren anger i sin login-fil under inloggningsprocessen (se setenv(3)).

HISTORIK

Kommandot ul dök upp i 3.0BSD.

KÄNDA PROBLEM

nroff skriver vanligtvis ut en serie mellanslag och understrykningar blandat med texten för att indikera understrykning. Inga försök görs för att optimera den bakåtriktade rörelsen.

SE ÄVEN

colcrt(1), login(1), man(1), nroff(1), setenv(3), terminfo(5)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot ul ingår i paketet util-linux som kan hämtas från